Thursday, October 13, 2011

change dsktop from unity to kubuntu-desktop in ubuntu 11.10

UPDATE this maybe damage your system . It can make systems with unity sluggish and browsers do not refresh correctly . If you do not like unity go for linux distros to try if you hate ubuntu 11.10 lubuntu or
Linux: Mageia
 The KDE-DESKTOP

I hate the ubuntu unity desktop as the side panel is never responsive on my computer .

After googling i found

http://scottlinux.com/2011/03/05/ubuntu-11-04-change-from-unity-to-classic-gnome/

At the end steve talks about trying out the kubuntu-desktop .

So i goto the terminal and type in

$ sudo apt-get install kubuntu-desktop
this installed kde version 4.7.1

After installing . There was not info on how to change from unity to kubuntu-desktop .

All the old articles on the new said to goto system settings and the login screen . BUT there is NO loging screen in the new version of ubuntu 11.10 .

To change the desktop from unity to kubuntu-desktop you need to logout . Then you click on the wheel symbol next to your login name and then choose either kde plasma or ubuntu 2d(not tried that) .

The kde screen is nice as it looks like the windows desktop . You need to tweak it a bit to get the right feeling (of the old windows desktop)

The default screen has the desktop floating on the screen .
Right click on the screen and then click folder view
change layout from desktop to folder view

Now i have to get used to the new apps . For text editing i used to use gedit . Now the kde equivalent is Kate .

To find it (Kate - text editor)
click on the Blue K icon on the bottom left
Click the  Applications tab
click utilities
Click advanced text editor

Another change is the browser . The default browser is called rekonq (it feels a bit like opera /chrome)

but i like the  kubunutu-desktop's color settings (soothing ) blue/grey than the default unity color options (black/orange)

Update - All the applications installed under unity can be used here. Firefox is under Blue K > applications>internet  also it saves all the data you had under unity or gnome


Some issues on kubuntu-desktop
1) Tweetdeck has to be configured to be used http://kb2.adobe.com/cps/492/cpsid_49267.html (this will break the login under unity and gnome)
2) Tweetdeck links do not open in the browser
3) There is an issue with the mon updater
error when updating with monupdater This operation cannot continue since proper authorization was not provided



sudo apt-get install polkit-kde-1 (update this does not fix the error in the kubuntu-desktop )

You need to goto the terminal and type in sudo apt-get upgrade to upgrade .











The assumption had been that since kdebase-
workspace-bin depends on polkit-kde-1, KDE users would have it, and that since a lot of Ubuntu's default software depended on policykit-1-gnome GNOME users would have a policykit frontend.
 http://www.freedesktop.org/wiki/Software/PolicyKit
To install the pol kit
goto blue K ->system ->right click on terminal and add it to the panel so you can get it easily when ever you need it . In the terminal type

sudo apt-get install polkit-kde-1 (update this does not fix the error in the kubuntu-desktop )
[sudo] password for admin:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
browser-plugin-gnash menu-xdg ekiga kdegames-card-data gnome-games-extra-data gtali libkdegames5a libx264-106 gdebi quadrapassel libgfortran3
gnobots2 libfolks-eds25 liferea-data xulrunner-2.0 virtualbox-ose librpmio1 remmina-plugin-rdp gdebi-core libcapi20-3 python-lxml
remmina-plugin-vnc gnibbles libdvbpsi6 gedit-plugins libboost-thread1.46.1 unixodbc libpt2.10.2 libboost-date-time1.46.1 remmina-plugin-data
python-numpy virtualbox-ose-dkms xulrunner-2.0-mozjs gnome-dictionary gnome-backgrounds libboost-signals1.46.1 libspandsp2
libfreerdp-plugins-standard gnome-icon-theme-extras gir1.2-gucharmap-2.90 libmagick++3 python-uniconvertor libblas3gf libopal3.10.2
liblapack3gf liferea gnash gnome-core gnotravex libcheese-gtk18 python-evolution libgdict-1.0-6 gnome-contacts libgc1c2 hamster-applet
libdmapsharing2 gnash-common libfreerdp0 perlmagick inkscape dconf-tools libmatroska3 remmina libfwbuilder9 sound-juicer
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
polkit-kde-1
0 upgraded, 1 newly installed, 0 to remove and 12 not upgraded.
Need to get 27.4 kB of archives.
After this operation, 156 kB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ oneiric/main polkit-kde-1 i386 0.99.0-3ubuntu1 [27.4 kB]
Fetched 27.4 kB in 0s (29.7 kB/s)
Selecting previously deselected package polkit-kde-1.
(Reading database ... 222439 files and directories currently installed.)
Unpacking polkit-kde-1 (from .../polkit-kde-1_0.99.0-3ubuntu1_i386.deb) ...
Setting up polkit-kde-1 (0.99.0-3ubuntu1) ...


Name: polkit-kde-1

Description:
KDE dialogs for PolicyKit
PolicyKit is an application-level toolkit for defining and handling the policy
that allows unprivileged processes to speak to privileged processes.
It is a framework for centralizing the decision making process with respect to
granting access to privileged operations (like calling the HAL Mount() method)
for unprivileged (desktop) applications.
PolicyKit-Kde provides a D-Bus session bus service that is used to
bring up authentication dialogs used for obtaining privileges.


apt-get autoremove
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?

sudo apt-get autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
browser-plugin-gnash dconf-tools ekiga gdebi gdebi-core gedit-plugins gir1.2-gucharmap-2.90 gnash gnash-common gnibbles gnobots2
gnome-backgrounds gnome-contacts gnome-core gnome-dictionary gnome-games-extra-data gnome-icon-theme-extras gnotravex gtali hamster-applet
inkscape kdegames-card-data libblas3gf libboost-date-time1.46.1 libboost-signals1.46.1 libboost-thread1.46.1 libcapi20-3 libcheese-gtk18
libdmapsharing2 libdvbpsi6 libfolks-eds25 libfreerdp-plugins-standard libfreerdp0 libfwbuilder9 libgc1c2 libgdict-1.0-6 libgfortran3
libkdegames5a liblapack3gf libmagick++3 libmatroska3 libopal3.10.2 libpt2.10.2 librpmio1 libspandsp2 libx264-106 liferea liferea-data menu-xdg
perlmagick python-evolution python-lxml python-numpy python-uniconvertor quadrapassel remmina remmina-plugin-data remmina-plugin-rdp
remmina-plugin-vnc sound-juicer unixodbc virtualbox-ose virtualbox-ose-dkms xulrunner-2.0 xulrunner-2.0-mozjs
0 upgraded, 0 newly installed, 65 to remove and 12 not upgraded.
After this operation, 238 MB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 222445 files and directories currently installed.)
Removing browser-plugin-gnash ...
Removing gnome-core ...
Removing dconf-tools ...
Removing ekiga ...
Removing gdebi ...
Removing gdebi-core ...
Removing gedit-plugins ...
Removing gir1.2-gucharmap-2.90 ...
Removing gnash ...
Removing gnash-common ...
Removing gnibbles ...
Removing gnobots2 ...
Removing gnome-backgrounds ...
Removing gnome-contacts ...
Removing gnome-dictionary ...
Removing gnome-games-extra-data ...
Removing gnome-icon-theme-extras ...
Removing gnotravex ...
Removing gtali ...
Removing hamster-applet ...
Removing inkscape ...
Removing kdegames-card-data ...
Removing python-numpy ...
Removing liblapack3gf ...
Removing libblas3gf ...
Removing libboost-date-time1.46.1 ...
Removing libboost-signals1.46.1 ...
Removing libboost-thread1.46.1 ...
Removing libopal3.10.2 ...
Removing libcapi20-3 ...
Removing libcheese-gtk18 ...
Removing libdmapsharing2 ...
Removing libdvbpsi6 ...
Removing libfolks-eds25 ...
Removing remmina-plugin-rdp ...
Removing libfreerdp-plugins-standard ...
Removing libfreerdp0 ...
Removing libfwbuilder9 ...
Removing libgc1c2 ...
Removing libgdict-1.0-6 ...
Removing libgfortran3 ...
Removing libkdegames5a ...
Removing libmagick++3 ...
Removing libmatroska3 ...
Removing libpt2.10.2 ...
Removing librpmio1 ...
Removing libspandsp2 ...
Removing libx264-106 ...
Removing liferea ...
Removing liferea-data ...
Removing menu-xdg ...
Removing perlmagick ...
Removing python-evolution ...
Removing python-lxml ...
Removing python-uniconvertor ...
Removing quadrapassel ...
Removing remmina-plugin-vnc ...
Removing remmina ...
Removing remmina-plugin-data ...
Removing sound-juicer ...
Removing unixodbc ...
Removing virtualbox-ose ...
Removing virtualbox-ose-dkms ...
Removing xulrunner-2.0 ...
Removing xulrunner-2.0-mozjs ...
Processing triggers for libglib2.0-0 ...
Processing triggers for gnome-menus ...
Processing triggers for desktop-file-utils ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for gconf2 ...
Processing triggers for man-db ...
Processing triggers for menu ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for shared-mime-info ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Unknown media type in type 'interface/x-winamp-skin'
Processing triggers for install-info ...
Processing triggers for doc-base ...
Processing 2 removed doc-base files...
Registering documents with scrollkeeper...
Processing triggers for gnome-icon-theme ...
Processing triggers for python-support ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place

1 comment:

  1. If you want your ex-girlfriend or ex-boyfriend to come crawling back to you on their knees (no matter why you broke up) you gotta watch this video
    right away...

    (VIDEO) Win your ex back with TEXT messages?

    ReplyDelete